<? if (empty($files)) header("HTTP/1.0 404 Not Found"); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Dropshipmedia File Downloader</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
  <style type="text/css" media="screen">
    * {
      font-family: verdana, sans-serif;
      padding: 0;
      margin: 0;
    }

    body {
      background-color: #fff;
    }
    
    table td{
        vertical-align:middle;
    }

    p, li, td, div {
      font-size: 15px;
      padding: 3px;
    }

    img {
      border: 0;
    }

    h2 {
      font-size: 1em;
      margin: 5px 0;
    }

    ul {
       list-style: none;
    }
      ul li {
         list-style: none;
      }
        ul li img {
          vertical-align: middle;
        }

    span.size {
      color: #ccc;
      font-size: 10px;
    }

    a {
      text-decoration: none;
       color: #666;
    }
        a span {
          text-decoration: none;
        }
        a:hover {
          color: #000;
        }
        a:hover span {
          text-decoration: underline;
        }

    div.breadcrumb {
      margin-bottom: 5px;
      border-bottom: 1px solid #eee;
    }
      div.breadcrumb, div.breadcrumb a {
        color: #000;
        font-size: 18px;
        font-weight: normal;
      }
      div.breadcrumb ul {
        display: inline;
        margin-left: 5px;
      }
      div.breadcrumb ul li {
        display: inline;
        margin-left: -5px;
      }
        div.breadcrumb ul li a:hover {
          background-color: #efefef;
        }

    #header {
      background-color: #999;
      padding: 10px 15px;
      border-bottom: 1px solid #ccc;
    }
      #header h1 {
        color: #000;
        font-size: 26px;
      }

    #contents {
      border-top: 1px solid #eee;
       padding: 15px 20px;
    }

    #footer {
      border-top: 1px solid #eee;
      padding: 2px 5px 5px;
    }
      #footer p {
        font-size: 11px;
        color: #999;
        text-align: right;
      }
      #footer a {
        color: #999;
        text-decoration: underline;
      }
  </style>
</head>
<body>
  <div id="header1">
    <img src="/images/logo.png" alt="<?= $config['page-header'] ?>"/>
  </div>

  <div id="contents">

    <? if (empty($files)): ?>
      <p>No files found.</p>
    <? else: ?>
        <div class="container">
            <table class="table table-dark">
                <thead>
                    <th scope="col"></th>
                    <th scope="col">Name</th>
                    <th scope="col">Size</th>
                    <th scope="col"></th>
                </thead>
                <tbody>
                    <? foreach ($files as $key => $info): ?>
                        <? if(!array_key_exists('files', $info) && !is_array($info['files'])): ?>
                            <tr class="table-light">
                                <td align="center">
                                    <? if(strpos($info['path'], 'mp4') !== false): ?>
                                        <img src="<?= $config['base-path'] ?>/themes/plain/img/video-camera.png" width="42">
                                    <? elseif(strpos($info['path'], 'jpg') !== false || strpos($info['path'], 'jpeg') !== false || strpos($info['path'], 'png') !== false): ?>
                                        <img src="<?= $config['base-path'] ?>/themes/plain/img/insert-picture-icon.png" width="42">
                                    <? elseif(strpos($info['path'], 'gif') !== false): ?>
                                        <img src="<?= $config['base-path'] ?>/themes/plain/img/gif-file.png" width="42">
                                    <? else: ?>
                                        <img src="<?= $config['base-path'] ?>/themes/plain/img/writing.png" width="42">
                                    <? endif; ?>
                                </td>
                                <td>
                                   <a href="<?=$config['bucket-url-prefix']?>/<?=urlencode($info['path'])?>" target="_blank">
                                      <span><?= $key ?></span>
                                   </a>
                                </td>
                                <td><span class="size"><?= $info['hsize'] ?></span></td>
                                <td align="center">
                                    <a class="btn btn-secondary" href="/download.php?filename=<?= urlencode($info['path']) ?>" target="_blank">Download</a>
                                </td>
                              </td>
                            </tr>
                        <? endif; ?>
                    <? endforeach; ?>
                </tbody>
            </table>
        </div>
    <? endif; ?>
  </div>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-U1DAWAznBHeqEIlVSCgzq+c9gqGAJn5c/t99JyeKa9xxaYpSvHU5awsuZVVFIhvj" crossorigin="anonymous"></script>
</body>
</html>
